Bug 45762 - Bindings projects force all dependent projects to rebuild forever due to LinkWithAttributes
Summary: Bindings projects force all dependent projects to rebuild forever due to Link...
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: XI 10.0 (iOS10)
Hardware: PC Mac OS
: High normal
Target Milestone: (C9)
Assignee: Chris Hamons
URL:
Depends on:
Blocks:
 
Reported: 2016-10-20 19:55 UTC by Chris Hamons
Modified: 2016-12-02 16:10 UTC (History)
6 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Repro (351.95 KB, application/zip)
2016-10-20 19:55 UTC, Chris Hamons
Details
Native lib used (912 bytes, application/x-archive)
2016-10-20 19:56 UTC, Chris Hamons
Details

Description Chris Hamons 2016-10-20 19:55:54 UTC
Created attachment 18150 [details]
Repro

Build the attached project over and over again. You will forever rebuild the main app due to this gem:

	Target CoreCompile needs to be built as input file 'obj/Debug/LinkWithAttributes.cs' is newer than output file 'obj/Debug/CrashBinding.dll'

which causes the exe to be out of date, which causes the app bundle to be out of date.
Comment 1 Chris Hamons 2016-10-20 19:56:22 UTC
Created attachment 18151 [details]
Native lib used
Comment 3 Chris Hamons 2016-10-20 19:59:37 UTC
This also happens on XI.

	Target CoreCompile needs to be built as input file 'obj/Debug/LinkWithAttributes.cs' is newer than output file 'obj/Debug/SuperCrash.dll'


	Target CoreCompile needs to be built as input file '/Users/donblas/Projects/TimerTestIOS/SuperCrash/bin/Debug//SuperCrash.dll' is newer than output file 'obj/iPhoneSimulator/Debug/TimerTestIOS.exe'
Comment 4 Sebastien Pouliot 2016-11-09 19:49:30 UTC
@Chris like discussed please confirm this was fixed by the recent commit (mentioning the bug). If it was before C9 then please also update the milestone before closing. Thanks!
Comment 5 Chris Hamons 2016-11-09 19:51:19 UTC
This should be fixed with:

https://github.com/xamarin/xamarin-macios/pull/1029

That and this bug has a XM test, but can QA please also validate XI as well.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.